.umu-pagination-bar .page-list {
  font-size: 0.12rem;
  line-height: 0.16rem;
  color: var(--umu-color-text, #222222);
  display: flex;
  align-items: center;
}
.umu-pagination-bar .page-list .page-item {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 0.06rem 0 0;
  height: 0.28rem;
  padding: 0 0.04rem;
  box-sizing: border-box;
  vertical-align: middle;
  border-radius: 0.02rem;
  cursor: pointer;
  text-align: center;
}
.umu-pagination-bar .page-list .page-item:last-child {
  margin-right: 0;
}
.umu-pagination-bar .page-list .page-item.current {
  cursor: default;
}
.umu-pagination-bar.umu-pagination-bar-normal .page-item {
  color: #1e61e6;
  min-width: 0.2rem;
}
.umu-pagination-bar.umu-pagination-bar-normal .page-item.current {
  color: var(--umu-color-text, #222222);
}
.umu-pagination-bar .small-more-icon.umu-design-comp-icon {
  width: 0.16rem;
  height: 0.16rem;
  vertical-align: middle;
}
.umu-pagination-bar.umu-pagination-bar-box .page-item {
  color: var(--umu-color-text, #222);
  min-width: 0.28rem;
  border: 0.01rem solid var(--umu-color-border, #e0e0e0);
}
.umu-pagination-bar.umu-pagination-bar-box .page-item:hover, .umu-pagination-bar.umu-pagination-bar-box .page-item.current {
  color: #1e61e6;
  border-color: #1e61e6;
}
.rc-picker-cell-today > .rc-picker-cell-inner {
  border: none;
}

.assign-range-time.pc-common-assign-range-time {
  display: flex;
}
.assign-range-time.pc-common-assign-range-time .assign-time-content {
  flex: 1 0 2.6rem;
  margin-right: 0.4rem;
}
.assign-range-time.pc-common-assign-range-time .assign-time-content .assign-time-title {
  width: 2.6rem;
  height: 0.2rem;
  font-size: 0.14rem;
  font-weight: 400;
  color: var(--umu-color-text, #222222);
  line-height: 0.2rem;
}
.assign-range-time.pc-common-assign-range-time .assign-time-content .assign-time {
  margin-top: 0.12rem;
}
.assign-range-time.pc-common-assign-range-time .duration-label {
  flex: 1 0 2rem;
  text-align: left;
  margin-top: 0.44rem;
}
.assign-range-time.pc-common-assign-range-time .expire-time-content {
  flex: 1 0 2.6rem;
  margin-right: 0.2rem;
}
.assign-range-time.pc-common-assign-range-time .expire-time-content .expire-time-title {
  width: 2.6rem;
  height: 0.2rem;
  font-size: 0.14rem;
  font-weight: 400;
  color: var(--umu-color-text, #222222);
  line-height: 0.2rem;
  display: flex;
  align-items: center;
}
.assign-range-time.pc-common-assign-range-time .expire-time-content .expire-time-title .expire-time-title-label {
  display: inline-block;
}
.assign-range-time.pc-common-assign-range-time .expire-time-content .expire-time-title .tooltip-icon-tips {
  width: 0.16rem;
  height: 0.16rem;
  margin-left: 0.04rem;
  color: var(--umu-color-text-tertiary, #999999);
  cursor: pointer;
}
.assign-range-time.pc-common-assign-range-time .expire-time-content .expire-time {
  margin-top: 0.12rem;
}
.image-source-panel.custom-image-source-panel .image-select-source {
  padding: 0rem;
}
.image-source-panel.custom-image-source-panel .umu-source-tabs {
  padding: 0rem 0.24rem;
}
.image-source-panel.custom-image-source-panel .umu-source-tabs .is-first {
  padding-left: 0rem;
}
.image-source-panel.custom-image-source-panel .file-uploads {
  background: var(--umu-color-bg-layout, #f5f5f5);
  height: 3.83rem;
}
.image-source-panel.custom-image-source-panel .file-uploads .upload-zone {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.image-source-panel.custom-image-source-panel .file-uploads .upload-zone .info-msg {
  text-align: center;
  font-size: 0.14rem;
  padding-top: 0.12rem;
  line-height: 0.2rem;
  color: var(--umu-color-text-tertiary, #999999);
}
.image-source-panel.custom-image-source-panel .file-uploads .upload-zone .add-link-img {
  background: #1e6ee6;
  border-radius: 0.04rem;
  font-weight: 600;
  margin: auto;
  font-size: 0.14rem;
  line-height: 0.18rem;
  color: #ffffff;
  display: flex;
  align-items: center;
  cursor: pointer;
  padding: 0.12rem 0.16rem;
}
.image-source-panel.custom-image-source-panel .file-uploads .upload-zone .add-link-img .icon-img-add {
  width: 0.14rem;
  height: 0.14rem;
  margin-right: 0.08rem;
}
.image-source-panel.custom-image-source-panel .operate-footer {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding: 0.24rem;
}
.image-source-panel.custom-image-source-panel .operate-footer-btn-split {
  margin-right: 0.12rem;
}

.img-banner-zone {
  height: 3.83rem;
  overflow-y: auto;
  scrollbar-width: none; /* firefox */
  -ms-overflow-style: none; /* IE 10+ */
}

.banner-img-list {
  display: flex;
  flex-wrap: wrap;
  overflow-y: auto;
}
.banner-img-list .banner-item {
  position: relative;
  border-radius: 0.04rem;
  border: 0.03rem solid transparent;
  margin: 0rem 0.04rem 0.04rem 0rem;
}
.banner-img-list .banner-item .icon-banner-img {
  cursor: pointer;
  width: 2.3rem;
  height: 1.3rem;
}
.banner-img-list .banner-item .icon-banner-img-select {
  width: 0.24rem;
  height: 0.24rem;
  position: absolute;
  top: 0.08rem;
  right: 0.08rem;
}
.banner-img-list .banner-item-select,
.banner-img-list .banner-item:hover {
  border-color: #1e6ee6;
}

.show-default-img-list {
  padding: 0.24rem 0.5rem;
  padding-right: 0.12rem;
}
.show-default-img-list .banner-item {
  margin-right: 0.48rem;
}
.show-default-img-list .banner-item:last-child {
  margin-right: 0rem;
}
.show-default-img-list .banner-item .icon-banner-img {
  width: 0.76rem;
  height: 0.76rem;
}
.show-default-img-list .banner-item .icon-banner-img .micro-icon-img {
  width: 0.44rem;
  height: 0.44rem;
  margin: 0.16rem;
}
.show-default-img-list .banner-item-select,
.show-default-img-list .banner-item:hover {
  border-color: #ffffff;
  background: var(--umu-color-fill-secondary, #eeeeee);
  border-radius: 0.04rem;
}
.show-default-img-list .banner-item .icon-banner-img-select {
  width: 0.18rem;
  height: 0.18rem;
  top: 0.04rem;
  right: 0.04rem;
}

.umu-source-tabs::-webkit-scrollbar {
  display: none;
}

.umu-source-tabs {
  display: flex;
  width: 100%;
  height: 0.56rem;
  overflow-x: auto;
  border-bottom: 0.01rem solid var(--umu-color-border, #e0e0e0);
  scrollbar-width: none; /* firefox */
  -ms-overflow-style: none; /* IE 10+ */
}
.umu-source-tabs .umu-tab-pane {
  flex: none;
  padding: 0.12rem;
  overflow: hidden;
  text-overflow: ellipsis;
  word-break: break-all;
  white-space: nowrap;
}
.umu-source-tabs .umu-tab-pane span {
  height: 0.16rem;
  padding-bottom: 0.17rem;
  font-size: 0.16rem;
  font-weight: 400;
  line-height: 0.32rem;
  color: var(--umu-color-text, #222);
}
.umu-source-tabs .umu-tab-pane:hover {
  cursor: pointer;
}
.umu-source-tabs .active span {
  font-weight: 600;
  border-bottom: 0.02rem solid var(--umu-color-primary, #ffab00);
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  .umu-source-tabs .umu-tab-pane span {
    line-height: 0.21rem !important;
  }
}
.upload-image-and-crop-dialog .umu-design-comp-modal-body {
  padding: 0;
}
.course-crop-portal.business-common-course-crop-portal {
  display: flex;
  flex-direction: column;
}
.course-crop-portal.business-common-course-crop-portal-heard {
  font-size: 0.16rem;
  text-align: left;
  padding: 0.24rem 0;
}
.course-crop-portal.business-common-course-crop-portal .crop-area {
  position: relative;
  display: flex;
  min-height: 3.2rem;
  align-items: center;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .ReactCrop {
  margin: auto;
  z-index: 300;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .ReactCrop .ReactCrop__image {
  margin: auto;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-toolbar {
  display: flex;
  align-items: center;
  position: absolute;
  left: 0.24rem;
  bottom: 0.1rem;
  gap: 0.08rem;
  z-index: 400;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-toolbar .crop-toolbar {
  padding: 0.04rem;
  box-sizing: border-box;
  border-radius: 0.04rem;
  background: rgba(0, 0, 0, 0.5);
  background-position: center;
  background-repeat: no-repeat;
  background-size: 0.28rem 0.28rem;
  display: block;
  width: 0.32rem;
  height: 0.32rem;
  cursor: pointer;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-toolbar .crop-toolbar.rotate {
  background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2228%22%20height%3D%2228%22%20viewBox%3D%220%200%2028%2028%22%20fill%3D%22none%22%3E%0A%20%20%3Cpath%20d%3D%22M22.3604%208.97705H10.9996C9.36773%208.97705%208.03992%2010.3046%208.03992%2011.9367V23.2964C8.03992%2024.9283%209.36746%2026.2561%2010.9996%2026.2561H22.3601C23.9912%2026.2561%2025.3187%2024.9286%2025.3187%2023.2964V11.9367C25.3187%2010.3046%2023.9912%208.97705%2022.3604%208.97705ZM23.1914%2023.2964C23.1914%2023.7555%2022.8184%2024.1285%2022.3604%2024.1285H10.9996C10.5405%2024.1285%2010.1675%2023.7555%2010.1675%2023.2964V11.9367C10.1675%2011.4776%2010.5405%2011.1047%2010.9996%2011.1047H22.3601C22.8181%2011.1047%2023.1911%2011.4776%2023.1911%2011.9367V23.2964H23.1914Z%22%20fill%3D%22white%22%2F%3E%0A%20%20%3Cpath%20d%3D%22M6.80589%2010.0742C6.30632%209.76467%205.65062%209.91943%205.34109%2010.419L4.84453%2011.221C4.82074%2010.9894%204.80816%2010.7534%204.80816%2010.5166C4.80816%206.85256%207.78972%203.87127%2011.4546%203.87127C12.6752%203.87127%2013.8688%204.20486%2014.9046%204.83623C15.4074%205.14057%2016.0618%204.9817%2016.3672%204.48103C16.6726%203.97928%2016.5137%203.32494%2016.012%203.01842C14.6418%202.18416%2013.066%201.74365%2011.4546%201.74365C6.61667%201.74365%202.68054%205.67869%202.68054%2010.5166C2.68054%2011.8329%202.96519%2013.0981%203.52519%2014.2772C3.69253%2014.6283%204.03843%2014.861%204.42699%2014.8818C4.44667%2014.8829%204.46636%2014.884%204.48632%2014.884C4.66757%2014.884%204.84582%2014.8377%205.00416%2014.7495C5.16251%2014.6613%205.29571%2014.5341%205.39113%2014.38L7.1507%2011.539C7.45941%2011.0392%207.30546%2010.3837%206.80589%2010.0742Z%22%20fill%3D%22white%22%2F%3E%0A%3C%2Fsvg%3E");
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-toolbar .crop-toolbar.zoom-in {
  background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2228%22%20height%3D%2228%22%20viewBox%3D%220%200%2028%2028%22%20fill%3D%22none%22%3E%0A%20%20%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M26.4387%2024.356L22.2069%2020.118C23.7067%2018.1176%2024.5169%2015.6833%2024.5154%2013.1817C24.5149%207.01613%2019.5125%201.90918%2013.2599%201.90918C7.00732%201.90918%201.90869%207.01613%201.90869%2013.2787C1.90869%2019.5414%207.00704%2024.646%2013.2599%2024.646C16.2421%2024.646%2018.9356%2023.4897%2020.9558%2021.6595L25.0916%2025.8019C25.2839%2025.9945%2025.5725%2026.091%2025.7649%2026.091C25.9572%2026.091%2026.2458%2025.9945%2026.4382%2025.8019C26.8231%2025.3203%2026.8231%2024.7421%2026.4382%2024.3569L26.4387%2024.356ZM13.2601%2022.6229C8.06515%2022.6229%203.83332%2018.3849%203.83332%2013.1824C3.83332%207.97984%208.06515%203.74183%2013.2601%203.74183C18.4551%203.74183%2022.6869%207.97984%2022.6869%2013.1824C22.6869%2018.3849%2018.4551%2022.6229%2013.2601%2022.6229ZM7.87476%2012.25C7.39151%2012.25%206.99976%2012.6418%206.99976%2013.125C6.99976%2013.6083%207.39151%2014%207.87476%2014H18.3748C18.858%2014%2019.2498%2013.6083%2019.2498%2013.125C19.2498%2012.6418%2018.858%2012.25%2018.3748%2012.25H7.87476Z%22%20fill%3D%22white%22%2F%3E%0A%3C%2Fsvg%3E");
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-toolbar .crop-toolbar.zoom-out {
  background-image: url("data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2228%22%20height%3D%2228%22%20viewBox%3D%220%200%2028%2028%22%20fill%3D%22none%22%3E%0A%20%20%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M22.2069%2020.118L26.4387%2024.356L26.4382%2024.3569C26.8231%2024.7421%2026.8231%2025.3203%2026.4382%2025.8019C26.2458%2025.9945%2025.9572%2026.091%2025.7649%2026.091C25.5725%2026.091%2025.2839%2025.9945%2025.0916%2025.8019L20.9558%2021.6595C18.9356%2023.4897%2016.2421%2024.646%2013.2599%2024.646C7.00704%2024.646%201.90869%2019.5414%201.90869%2013.2787C1.90869%207.01613%207.00732%201.90918%2013.2599%201.90918C19.5125%201.90918%2024.5149%207.01613%2024.5154%2013.1817C24.5169%2015.6833%2023.7067%2018.1176%2022.2069%2020.118ZM3.83332%2013.1824C3.83332%2018.3849%208.06515%2022.6229%2013.2601%2022.6229C18.4551%2022.6229%2022.6869%2018.3849%2022.6869%2013.1824C22.6869%207.97984%2018.4551%203.74183%2013.2601%203.74183C8.06515%203.74183%203.83332%207.97984%203.83332%2013.1824ZM6.99976%2013.125C6.99976%2012.6418%207.39151%2012.25%207.87476%2012.25H12.2498V7.87503C12.2498%207.39178%2012.6415%207.00003%2013.1248%207.00003C13.608%207.00003%2013.9998%207.39178%2013.9998%207.87503V12.25H18.3748C18.858%2012.25%2019.2498%2012.6418%2019.2498%2013.125C19.2498%2013.6083%2018.858%2014%2018.3748%2014H13.9998V18.375C13.9998%2018.8583%2013.608%2019.25%2013.1248%2019.25C12.6415%2019.25%2012.2498%2018.8583%2012.2498%2018.375V14H7.87476C7.39151%2014%206.99976%2013.6083%206.99976%2013.125Z%22%20fill%3D%22white%22%2F%3E%0A%3C%2Fsvg%3E");
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-img-micro {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-img-micro.react-crop-img-micro-background {
  z-index: 100;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAQMAAAAlPW0iAAAAA3NCSVQICAjb4U/gAAAABlBMVEXMzMz////TjRV2AAAACXBIWXMAAArrAAAK6wGCiw1aAAAAHHRFWHRTb2Z0d2FyZQBBZG9iZSBGaXJld29ya3MgQ1M26LyyjAAAABFJREFUCJlj+M/AgBVhF/0PAH6/D/HkDxOGAAAAAElFTkSuQmCC");
}
.course-crop-portal.business-common-course-crop-portal .crop-area .react-crop-img-micro.react-crop-img-micro-mask {
  opacity: 0.5;
  background-color: #000;
  z-index: 200;
}
.course-crop-portal.business-common-course-crop-portal .crop-area-avatar-img .ReactCrop .ReactCrop__image {
  width: auto;
  /*border-radius: 50%;*/
}
.course-crop-portal.business-common-course-crop-portal .crop-btn-area {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.24rem;
}
.course-crop-portal.business-common-course-crop-portal .crop-btn-area .operate-img {
  display: flex;
  align-items: center;
}
.course-crop-portal.business-common-course-crop-portal .crop-btn-area .operate-img-btn-split {
  margin-right: 0.12rem;
}
.course-crop-portal.business-common-course-crop-portal .preview-canvas {
  width: 1rem;
  height: 1.33rem;
}

@media screen and (min-width: 1024px) {
  .img-crop-portal {
    left: 50%;
    width: 6.38rem;
    transform: translateX(-50%);
  }
}
.ReactCrop {
  position: relative;
  display: inline-block;
  max-width: 100%;
  max-height: 4.25rem;
  overflow: hidden;
  cursor: crosshair;
}

.ReactCrop:focus {
  outline: none;
}

.ReactCrop--disabled,
.ReactCrop--locked {
  cursor: inherit;
}

.ReactCrop__image {
  display: block;
  max-width: 100%;
  max-height: 4.25rem;
  touch-action: manipulation;
}

.ReactCrop__crop-selection {
  /*rtl:begin:ignore*/
  position: absolute;
  top: 0;
  left: 0;
  box-sizing: border-box;
  touch-action: manipulation;
  cursor: move;
  border: 1px solid;
  border-image-source: url("data:image/gif;base64,R0lGODlhCgAKAJECAAAAAP///////wAAACH/C05FVFNDQVBFMi4wAwEAAAAh/wtYTVAgRGF0YVhNUDw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuMy1jMDExIDY2LjE0NTY2MSwgMjAxMi8wMi8wNi0xNDo1NjoyNyAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wTU09Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9tbS8iIHhtbG5zOnN0UmVmPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvc1R5cGUvUmVzb3VyY2VSZWYjIiB4bWxuczp4bXA9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC8iIHhtcE1NOkRvY3VtZW50SUQ9InhtcC5kaWQ6OEI5RDc5MTFDNkE2MTFFM0JCMDZEODI2QTI4MzJBOTIiIHhtcE1NOkluc3RhbmNlSUQ9InhtcC5paWQ6OEI5RDc5MTBDNkE2MTFFM0JCMDZEODI2QTI4MzJBOTIiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENTNiAoTWFjaW50b3NoKSI+IDx4bXBNTTpEZXJpdmVkRnJvbSBzdFJlZjppbnN0YW5jZUlEPSJ4bXAuZGlkOjAyODAxMTc0MDcyMDY4MTE4MDgzQzNDMjA5MzREQ0ZDIiBzdFJlZjpkb2N1bWVudElEPSJ4bXAuZGlkOjAyODAxMTc0MDcyMDY4MTE4MDgzQzNDMjA5MzREQ0ZDIi8+IDwvcmRmOkRlc2NyaXB0aW9uPiA8L3JkZjpSREY+IDwveDp4bXBtZXRhPiA8P3hwYWNrZXQgZW5kPSJyIj8+Af/+/fz7+vn49/b19PPy8fDv7u3s6+rp6Ofm5eTj4uHg397d3Nva2djX1tXU09LR0M/OzczLysnIx8bFxMPCwcC/vr28u7q5uLe2tbSzsrGwr66trKuqqainpqWko6KhoJ+enZybmpmYl5aVlJOSkZCPjo2Mi4qJiIeGhYSDgoGAf359fHt6eXh3dnV0c3JxcG9ubWxramloZ2ZlZGNiYWBfXl1cW1pZWFdWVVRTUlFQT05NTEtKSUhHRkVEQ0JBQD8+PTw7Ojk4NzY1NDMyMTAvLi0sKyopKCcmJSQjIiEgHx4dHBsaGRgXFhUUExIREA8ODQwLCgkIBwYFBAMCAQAAIfkEBQoAAgAsAAAAAAoACgAAAhWEERkn7W3ei7KlagMWF/dKgYeyGAUAIfkEBQoAAgAsAAAAAAoACgAAAg+UYwLJ7RnQm7QmsCyVKhUAIfkEBQoAAgAsAAAAAAoACgAAAhCUYgLJHdiinNSAVfOEKoUCACH5BAUKAAIALAAAAAAKAAoAAAIRVISAdusPo3RAzYtjaMIaUQAAIfkEBQoAAgAsAAAAAAoACgAAAg+MDiem7Q8bSLFaG5il6xQAIfkEBQoAAgAsAAAAAAoACgAAAg+UYRLJ7QnQm7SmsCyVKhUAIfkEBQoAAgAsAAAAAAoACgAAAhCUYBLJDdiinNSEVfOEKoECACH5BAUKAAIALAAAAAAKAAoAAAIRFISBdusPo3RBzYsjaMIaUQAAOw==");
  border-image-slice: 1;
  border-image-repeat: repeat;
  box-shadow: 0 0 0 9999em rgba(0, 0, 0, 0.5);
  transform: translate3d(0, 0, 0);
  /*rtl:end:ignore*/
}

.ReactCrop--disabled .ReactCrop__crop-selection {
  cursor: inherit;
}

.ReactCrop--circular-crop .ReactCrop__crop-selection {
  border-radius: 50%;
  box-shadow: 0 0 0.01rem 0.01rem white, 0 0 0 9999em rgba(0, 0, 0, 0.5);
}

.ReactCrop--invisible-crop .ReactCrop__crop-selection {
  display: none;
}

.ReactCrop__rule-of-thirds-vt::before,
.ReactCrop__rule-of-thirds-vt::after,
.ReactCrop__rule-of-thirds-hz::before,
.ReactCrop__rule-of-thirds-hz::after {
  position: absolute;
  display: block;
  content: "";
  background-color: rgba(255, 255, 255, 0.4);
}

.ReactCrop__rule-of-thirds-vt::before,
.ReactCrop__rule-of-thirds-vt::after {
  width: 0.01rem;
  height: 100%;
}

.ReactCrop__rule-of-thirds-vt::before {
  left: 33.3333%;
  left: 33.3333333333%;
}

.ReactCrop__rule-of-thirds-vt::after {
  left: 66.6666%;
  left: 66.6666666667%;
}

.ReactCrop__rule-of-thirds-hz::before,
.ReactCrop__rule-of-thirds-hz::after {
  width: 100%;
  height: 0.01rem;
}

.ReactCrop__rule-of-thirds-hz::before {
  top: 33.3333%;
  top: 33.3333333333%;
}

.ReactCrop__rule-of-thirds-hz::after {
  top: 66.6666%;
  top: 66.6666666667%;
}

.ReactCrop__drag-handle {
  position: absolute;
}

.ReactCrop__drag-handle::after {
  position: absolute;
  box-sizing: border-box;
  display: block;
  width: 0.1rem;
  height: 0.1rem;
  content: "";
  background-color: rgba(0, 0, 0, 0.2);
  border: 1px solid rgba(255, 255, 255, 0.7);
  outline: 1px solid transparent;
}

.ReactCrop .ord-nw {
  top: 0;
  left: 0;
  margin-top: -0.05rem;
  margin-left: -0.05rem;
  cursor: nw-resize;
}

.ReactCrop .ord-nw::after {
  top: 0;
  left: 0;
}

.ReactCrop .ord-n {
  top: 0;
  left: 50%;
  margin-top: -0.05rem;
  margin-left: -0.05rem;
  cursor: n-resize;
}

.ReactCrop .ord-n::after {
  top: 0;
}

.ReactCrop .ord-ne {
  top: 0;
  right: 0;
  margin-top: -0.05rem;
  margin-right: -0.05rem;
  cursor: ne-resize;
}

.ReactCrop .ord-ne::after {
  top: 0;
  right: 0;
}

.ReactCrop .ord-e {
  top: 50%;
  right: 0;
  margin-top: -0.05rem;
  margin-right: -0.05rem;
  cursor: e-resize;
}

.ReactCrop .ord-e::after {
  right: 0;
}

.ReactCrop .ord-se {
  right: 0;
  bottom: 0;
  margin-right: -0.05rem;
  margin-bottom: -0.05rem;
  cursor: se-resize;
}

.ReactCrop .ord-se::after {
  right: 0;
  bottom: 0;
}

.ReactCrop .ord-s {
  bottom: 0;
  left: 50%;
  margin-bottom: -0.05rem;
  margin-left: -0.05rem;
  cursor: s-resize;
}

.ReactCrop .ord-s::after {
  bottom: 0;
}

.ReactCrop .ord-sw {
  bottom: 0;
  left: 0;
  margin-bottom: -0.05rem;
  margin-left: -0.05rem;
  cursor: sw-resize;
}

.ReactCrop .ord-sw::after {
  bottom: 0;
  left: 0;
}

.ReactCrop .ord-w {
  top: 50%;
  left: 0;
  margin-top: -0.05rem;
  margin-left: -0.05rem;
  cursor: w-resize;
}

.ReactCrop .ord-w::after {
  left: 0;
}

.ReactCrop__disabled .ReactCrop__drag-handle {
  cursor: inherit;
}

.ReactCrop__drag-bar {
  position: absolute;
}

.ReactCrop__drag-bar.ord-n {
  top: 0;
  left: 0;
  width: 100%;
  height: 0.06rem;
  margin-top: -0.03rem;
}

.ReactCrop__drag-bar.ord-e {
  top: 0;
  right: 0;
  width: 0.06rem;
  height: 100%;
  margin-right: -0.03rem;
}

.ReactCrop__drag-bar.ord-s {
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0.06rem;
  margin-bottom: -0.03rem;
}

.ReactCrop__drag-bar.ord-w {
  top: 0;
  left: 0;
  width: 0.06rem;
  height: 100%;
  margin-left: -0.03rem;
}

.ReactCrop--new-crop .ReactCrop__drag-bar,
.ReactCrop--new-crop .ReactCrop__drag-handle,
.ReactCrop--fixed-aspect .ReactCrop__drag-bar {
  display: none;
}

.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-n,
.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-e,
.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-s,
.ReactCrop--fixed-aspect .ReactCrop__drag-handle.ord-w {
  display: none;
}

@media (pointer: coarse) {
  .ReactCrop .ord-n,
  .ReactCrop .ord-e,
  .ReactCrop .ord-s,
  .ReactCrop .ord-w {
    display: none;
  }
  .ReactCrop__drag-handle {
    width: 0.24rem;
    height: 0.24rem;
  }
}
.photo-uploade-Loading {
  line-height: normal;
  max-height: 80%;
  overflow: auto;
  max-width: 5rem;
  color: #fff;
  padding: 0.1rem 0.1rem 0.1rem;
  background: rgba(0, 0, 0, 0.8);
  border-radius: 0.04rem;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 9999;
  text-align: center;
  visibility: visible;
  opacity: 1;
  overflow: hidden;
  display: flex;
}
.photo-uploade-Loading .message {
  font-size: 0.14rem;
  margin-right: 0.05rem;
  white-space: nowrap;
}
.photo-uploade-Loading .loading {
  height: 0.05rem;
  white-space: nowrap;
  background-image: none;
}
.photo-uploade-Loading .loading span {
  display: inline-block;
  width: 0.05rem;
  height: 100%;
  margin-right: 0.05rem;
  border-radius: 50%;
  background: var(--umu-color-bg-base, #fff);
  animation: load 1.04s ease infinite;
}
.photo-uploade-Loading .loading span:last-child {
  margin-right: 0rem;
}
@keyframes load {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
.photo-uploade-Loading .loading span:nth-child(1) {
  animation-delay: 0.13s;
}
.photo-uploade-Loading .loading span:nth-child(2) {
  animation-delay: 0.26s;
}
.photo-uploade-Loading .loading span:nth-child(3) {
  animation-delay: 0.39s;
}
.photo-uploade-Loading .loading span:nth-child(4) {
  animation-delay: 0.52s;
}
.photo-uploade-Loading .loading span:nth-child(5) {
  animation-delay: 0.65s;
}
.form-label {
  position: relative;
  padding-top: 0.12rem;
  padding-bottom: 0.08rem;
}

.form-require::after {
  position: absolute;
  margin: 0.04rem;
  color: #dd4e40;
  content: "*";
}

.tip-error-msg {
  width: calc(100% - 0.8rem);
  line-height: 0.2rem;
  font-size: 0.14rem;
  color: #dd4e40;
}

.tip-error-links {
  width: 100%;
  padding-top: 0.08rem;
}

.form-children {
  padding-bottom: 0.2rem;
}

.form-label + .form-children {
  padding: 0 !important;
}
.uploader-dialog-file-list-container {
  width: 3.6rem;
  position: fixed;
  background: var(--umu-color-bg-base, hsl(0, 0%, 100%));
  max-height: 92vh;
  box-shadow: 0 0 0.16rem 0 rgba(0, 0, 0, 0.0784313725);
  border-radius: 8px 8px 0 0;
  inset: auto 32px 0 auto;
  z-index: 5500;
  display: flex;
  flex-direction: column;
}
.uploader-dialog-file-list-container .header {
  height: 0.54rem;
  background: var(--umu-color-bg-layout, #f5f5f5);
  padding: 0 0.15rem;
  box-sizing: border-box;
  color: var(--umu-color-text, #666);
  display: flex;
  align-items: center;
}
.uploader-dialog-file-list-container .header .action {
  margin-left: auto;
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}
.uploader-dialog-file-list-container .list-container {
  flex: 1;
  display: flex;
  overflow-y: auto;
}
.uploader-dialog-file-list-container .list-container .list {
  width: 100%;
  max-height: 100%;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  color: var(--umu-color-text, #222);
}
.uploader-dialog-file-list-container .list-container .list .item {
  display: flex;
  align-items: center;
  padding: 0.08rem 0.08rem 0.08rem 0.16rem;
  gap: 10px;
  height: 0.52rem;
  flex-shrink: 0;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-ppt {
  color: #fd7541;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-excel {
  color: #21a564;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-doc {
  color: #2196f3;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-pdf {
  color: #ea4336;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-mp4 {
  color: #dd4e40;
}
.uploader-dialog-file-list-container .list-container .list .item .file-icon .upload-icon-file-default {
  display: inline-block;
  background-repeat: no-repeat;
  vertical-align: middle;
  width: 0.26rem;
  height: 0.26rem;
  color: #ea4336;
  background-size: 0.22rem 0.2rem;
  background-position: left;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACgAAAAoCAYAAACM/rhtAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAADbSURBVHgB7ZkxDsIwEAT3IkqQeELgY9RAxQsIP6Ah/A7yBKSkjokpnUA4LSEW3JSntTzyWm4sCEjzaiWuPkJkjgFxDlmxnR36ckk4ENTZ0HKPfQRZeir3fbmkY2mKL/GOZIKR6ZMcXdDzSjIKQc8zyWgEPV4ynEUl2IUJskQvOIGSy3oKhuW5UuWtYhZ1xdqKWKxilt+7g9fNTECwyEunyVvFLOqKtRWxWMUs//vMfOquWsUs9sywmCCLCbKYIIsJsrQFHW4YDSnCSUvQwe26goPTHEzzNdH6lrgDSqY1ajDr0JEAAAAASUVORK5CYII=);
}
.uploader-dialog-file-list-container .list-container .list .item .upload-file-name {
  flex: 1;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 0.14rem;
}
.uploader-dialog-file-list-container .list-container .list .item .file-size {
  font-size: 0.12rem;
}
.uploader-dialog-file-list-container .list-container .list .item .status {
  position: relative;
}
.uploader-dialog-file-list-container .list-container .list .item .status .upload-icon-success {
  color: #21a564;
}
.uploader-dialog-file-list-container .list-container .list .item .status .upload-fail-icon {
  transition: opacity 0.3s;
  cursor: pointer;
  color: #dd4e40;
}
.uploader-dialog-file-list-container .list-container .list .item .status .upload-reupload-icon {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.3s;
  color: #1e6ee6;
}
.uploader-dialog-file-list-container .list-container .list .item .status:hover .upload-fail-icon {
  opacity: 0;
}
.uploader-dialog-file-list-container .list-container .list .item .status:hover .upload-reupload-icon {
  opacity: 1;
}
